DEVDRAW(1)

NAME
devdraw - draw device simulator

SYNOPSIS
invoked via initdraw (see graphics(3))

DESCRIPTION
Devdraw serves a custom graphics protocol and is the only program that talks directly to X window servers. On Macintosh, setting devdrawretina to 1 will cause devdraw to use all available physical pixels on a retina display.

SOURCE
/src/cmd/devdraw

SEE ALSO
draw(3), drawfcall(3), graphics(3)

BUGS
Devdraw should probably present a standard 9P server instead of using its own protocol.